Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515071 - Review Request: ocaml-benchmark - Benchmarking module for OCaml
Summary: Review Request: ocaml-benchmark - Benchmarking module for OCaml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 05:59 UTC by Andy Li
Modified: 2018-01-30 18:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 17:31:13 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Andy Li 2017-11-20 05:59:51 UTC
Spec URL: https://gist.github.com/andyli/e821862ec6d13dd25c2555e25d2c67b3/raw/f163f0fe06d1d9c4fb8675cdea6e1bd6b8dad1d8/ocaml-benchmark.spec
SRPM URL: https://gist.github.com/andyli/e821862ec6d13dd25c2555e25d2c67b3/raw/f163f0fe06d1d9c4fb8675cdea6e1bd6b8dad1d8/ocaml-benchmark-1.4-1.fc28.src.rpm
Description: Benchmarking module for OCaml
Fedora Account System Username: andyli

This is a dependency of a number of OCaml libs used by the next version of Haxe (v4.0.0).

Comment 1 Robert-André Mauchin 2017-11-20 13:32:26 UTC
 - Don't use both $RPM_BUILD_ROOT and %{buildroot}, use only one or another.

Package is accepted. Please fix the above point before import.

Comment 2 Andy Li 2017-11-20 15:55:36 UTC
Thanks for the quick review on this one and the many others I've submitted in the previous days! Your quick respond makes packaging a less painful work.

I will fix the build root thing before import.

By the way, would you help review these too?
https://bugzilla.redhat.com/show_bug.cgi?id=1477363
https://bugzilla.redhat.com/show_bug.cgi?id=1501992

I will need opam for the remaining few packages.

Comment 3 Gwyn Ciesla 2017-11-21 02:23:45 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ocaml-benchmark

Comment 4 Fedora Update System 2018-01-17 01:53:40 UTC
ocaml-benchmark-1.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-442d4dda8d

Comment 5 Fedora Update System 2018-01-17 01:53:48 UTC
ocaml-benchmark-1.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c454c0bee

Comment 6 Fedora Update System 2018-01-18 01:16:56 UTC
ocaml-benchmark-1.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-442d4dda8d

Comment 7 Fedora Update System 2018-01-18 02:10:14 UTC
ocaml-benchmark-1.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6c454c0bee

Comment 8 Fedora Update System 2018-01-30 17:31:13 UTC
ocaml-benchmark-1.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-01-30 18:02:40 UTC
ocaml-benchmark-1.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.